# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.0.0-alpha20] - 2024-03-22

### Added
- Added a simple option to toggle Auth on and off

### Changed
- None

### Fixed
- Fixed broken link to EXTENDING.md in README.md to use full GitHub URL for better compatibility with drupal.org

### Security
- None

## [1.0.0-alpha18] - 2025-03-21

### Added
- New configuration option to consolidate route parameters in metrics
- Added support for customizing how dynamic route parameters are displayed in metrics
- Added documentation for route parameter consolidation feature

### Changed
- Updated PrometheusRequestSubscriber to handle parameter consolidation
- Modified metrics configuration form to include parameter consolidation settings

### Fixed
- None

### Security
- None

## [1.0.0-alpha17] - 2025-03-21

### Changed

### Fixed
- Added ability to provide password for Redis

### Security
- No security fixes in this release

## [1.0.0-alpha11] - 2021-09-17

### Added
- Support for Drupal 11
- Improved error handling for Redis connection issues
- Better documentation for configuration options